tigase.jaxmpp.core.client.xmpp.modules

## Class SoftwareVersionModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<IQ>
    - - tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule
      - - tigase.jaxmpp.core.client.xmpp.modules.SoftwareVersionModule

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule

      public class SoftwareVersionModule
      extends AbstractIQModule

  Implementation of XEP-0092: Software Version.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SoftwareVersionModule.SoftwareVersionAsyncCallback` Software version callback.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_NAME_VAL` Default software name.
    `static String` | `NAME_KEY` Key to keep software name in `SessionObject`.
    `static String` | `OS_KEY` Key to keep operating system name in `SessionObject`.
    `static String` | `VERSION_KEY` Key to keep software version in `SessionObject`.

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftwareVersionModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkSoftwareVersion(JID jid, AsyncCallback callback)` Requests software version for given entity.
    `void` | `checkSoftwareVersion(JID jid, SoftwareVersionModule.SoftwareVersionAsyncCallback callback)` Requests software version for given entity.
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `protected void` | `processGet(IQ element)` Method for processing stanza `<iq type='get'>`.
    `protected void` | `processSet(IQ element)` Method for processing stanza `<iq type='set'>`.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule

      `process`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule

      `addExtension, getExtensionChain, getFeaturesWithExtensions, removeExtension, write, write, write`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_NAME_VAL

          public static final String DEFAULT_NAME_VAL

      Default software name.
      See Also:
        Constant Field Values

    - #### NAME_KEY

          public static final String NAME_KEY

      Key to keep software name in `SessionObject`.
      See Also:
        Constant Field Values

    - #### OS_KEY

          public static final String OS_KEY

      Key to keep operating system name in `SessionObject`.
      See Also:
        Constant Field Values

    - #### VERSION_KEY

          public static final String VERSION_KEY

      Key to keep software version in `SessionObject`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SoftwareVersionModule

          public SoftwareVersionModule()

  - ### Method Detail

    - #### checkSoftwareVersion

          public void checkSoftwareVersion(JID jid,
                                           AsyncCallback callback)
                                    throws JaxmppException

      Requests software version for given entity.
      Parameters:
        `jid` - entity
        `callback` - general callback
      Throws:
        `JaxmppException`

    - #### checkSoftwareVersion

          public void checkSoftwareVersion(JID jid,
                                           SoftwareVersionModule.SoftwareVersionAsyncCallback callback)
                                    throws XMLException,
                                           JaxmppException

      Requests software version for given entity.
      Parameters:
        `jid` - entity
        `callback` - software version callback
      Throws:
        `XMLException`
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### processGet

          protected void processGet(IQ element)
                             throws XMPPException,
                                    XMLException,
                                    JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='get'>`.
      Specified by:
        `processGet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`
        `JaxmppException`

    - #### processSet

          protected void processSet(IQ element)
                             throws XMPPException,
                                    XMLException,
                                    JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='set'>`.
      Specified by:
        `processSet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.